Subject: Pine for SCO w/bug fix

From: [email-masked] (Gunther Anderson)
Date: Tue, 30 Aug 1994 14:56:23 GMT

Feeling an irresistable urge to FTP another megabyte of data for no 
particular reason, I have uploaded another Pine binary package (Pine, 
Pico, imapd, ipopxd, man pages) for SCO Unix to soils.agron.iastate.edu
in the /pub/incoming directory.  If they're not tired of hearing from me 
yet, this package will probably be moved into /pub/sco/unix/pine someday.
The file is called "pine3.90.dist.sco.fix.tar.gz".

Thanks very much to the Pine Development Team and especially to Mark 
Crispin, for fixing a core-dump bug I found in the MMDF handling code 
which occurs only under very limited circumstances (a message has to 
start within a handful of bytes of the chunk boundary - a 1 in 2000 
chance, and even then only if your mailbox is larger than one chunk).  
Since two of my users with huge mailboxes found this problem out, I made 
haste to make new binaries for SCO lest other people should have it as 
well.

You will want to re-download the code, because even if you haven't seen 
the bug yet, it will bite you some day years from now when you've 
forgotten where you got your code.  If you can't wait for the official 
patches to make their way out into the real work (check 
ftp.cac.washington.edc if you're unsure), you can send me mail, and I'll 
mail them to you.

Gunther Anderson